---
lang: en
title: 'API docs: rest-crud.crudrestapibuilder'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/strongloop/loopback-next/tree/master/packages/rest-crud
permalink: /doc/en/lb4/apidocs.rest-crud.crudrestapibuilder.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/rest-crud](./rest-crud.md) &gt; [CrudRestApiBuilder](./rest-crud.crudrestapibuilder.md)

## CrudRestApiBuilder class

<b>Signature:</b>

```typescript
export declare class CrudRestApiBuilder implements ModelApiBuilder 
```
<b>Implements:</b> [ModelApiBuilder](./model-api-builder.modelapibuilder.md)

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [pattern](./rest-crud.crudrestapibuilder.pattern.md) |  | string |  |

## Methods

|  Method | Modifiers | Description |
|  --- | --- | --- |
|  [build(application, modelClass, cfg)](./rest-crud.crudrestapibuilder.build.md) |  |  |


